<template>
  <div class="mapHeader">
    <div class="headerBox">
      <img class="headerImg" src="../../assets/img/map/normal_u36.png" alt="" />
      <span>SmartEarth GeoAgent</span>
    </div>
    <div class="headerBox">
      <con-header  v-bind:dataTypes="dataTypes"></con-header>
    </div>
  </div>
</template>

<script>
import configData from "../../assets/js/data/configData";
import conHeader from "../compontent/conHeader.vue";
export default {
  components: {
    conHeader
  },
  data() {
    return {
      dataTypes: [],
    };
  },
  methods: {
    setHeaderStart() {
      this.dataTypes = configData.chartHeaderMenu;
    },
    
  },
  mounted() {
    this.setHeaderStart();
  }
};
</script>

<style scoped>
.mapHeader {
  width: calc(100% -25px);
  height: 100%;
  background: black;
  padding-left: 19px;
  padding-right: 6px;
  display: flex;
  font-family: "微软雅黑", sans-serif;
  color: #ffffff;
  font-size: 14px;
  align-items: center;
  justify-content: space-between;
}
.headerBox {
  display: flex;
  align-items: center;
}

.headerImg {
  width: 21px;
  height: 22px;
  margin-right: 5px;
}
.headBox {
  border: 1px solid rgba(0, 0, 0, 0);
  box-sizing: border-box;
  margin-right: 20px;
  border-radius: 10px;
  display: flex;
  align-items: center;
}

.headBoxActive {
  border: 1px solid #797979;
  background-color: #797979;
}
.headBox img {
  width: 16px;
  height: 13px;
  margin: 5px;
}
</style>
